Bug 36268 - Letters.t assumes an empty ReplyToDefault
Summary: Letters.t assumes an empty ReplyToDefault
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-07 10:08 UTC by Marcel de Rooy
Modified: 2024-04-05 09:52 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36268: Add a mock for ReplyToDefault (2.78 KB, patch)
2024-03-07 10:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 36268: Add a mock for ReplyToDefault (2.80 KB, patch)
2024-04-02 11:39 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2024-03-07 10:08:56 UTC
We should not assume but mock here.
Comment 1 Marcel de Rooy 2024-03-07 10:49:34 UTC
Created attachment 162895 [details] [review]
Bug 36268: Add a mock for ReplyToDefault

Test plan:
Without this patch, add email address in that pref.
Run Letters.t. It fails.
Now apply patch and run test again. Should pass.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2024-03-07 10:49:52 UTC
Trivial test change: self SO
Comment 3 Nick Clemens 2024-04-02 11:39:33 UTC
Created attachment 164261 [details] [review]
Bug 36268: Add a mock for ReplyToDefault

Test plan:
Without this patch, add email address in that pref.
Run Letters.t. It fails.
Now apply patch and run test again. Should pass.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2024-04-05 09:52:49 UTC
Pushed for 24.05!

Well done everyone, thank you!